Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Kriging

POST
/compute/orgs/{org_id}/geostatistics/kriging

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Examples: {"key":"value"}, {"another_key":123}

The source object and attribute containing known values.

Spatial locations of known values. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The known values, used to estimate values at unknown locations.

Examples: {"key":"value"}, {"another_key":123}

The target object and attribute to create or update with kriging results.

Object to evaluate onto. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Name of the attribute to create or update on the target object

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Optional region filter to apply to the target object. This allows the kriging to only be applied to a subset of the target object, defined by filtering an attribute on the target object by specific values.

Attribute used to define the region filter.

Category names used to filter the attribute. Mutually exclusive with 'values'.

Integer category keys used to filter the attribute. Mutually exclusive with 'names'.

The kriging method to use. Either simple or ordinary kriging.

The type of kriging to use.

The mean value, assumed to be constant across the domain.

The type of kriging to use.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Model of the covariance within the domain. Supported schemas: variogram/[>=1.1,<2]

Examples: {"key":"value"}, {"another_key":123}

In Kriging, the value of each evaluation point is determined by a set of nearby points with known values. The search parameters determines which nearby points to use.

The ellipsoid, to search for points within Alias: anisotropy

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of samples to use for each evaluation point. Alias: max-samples

Default: 1

The minimum number of samples to use for each evaluation point. Alias: min-samples

Default: 8

The maximum number of empty octants (aka sectors) allowed when searching for neighbors. Omitting this, or a value of 8, disables the octant check.

The maximum number of samples to use from each octant.

The maximum number of samples to use from each drillhole (defined by drillhole ID)

The maximum number of empty quadrants (2D sectors, ignoring Z) allowed when searching for neighbors. If not specified, quadrant filtering is disabled.

The maximum number of samples to use from each quadrant (2D sectors, ignoring Z).

Sub-block discretization for block kriging. When provided, each target block is subdivided into nx * ny * nz sub-cells and the kriged value is averaged across these sub-cells. When omitted, point kriging is performed. Only applicable when the target is a 3D grid or block model.

Default: 1

Number of subdivisions in the x direction

Default: 1

Number of subdivisions in the y direction

Default: 1

Number of subdivisions in the z direction

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"kriging_method": {
"mean": 0
},
"variogram": "https://example.com",
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1,
"max_empty_octants": 8
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the kriging result.

Reference to the attribute in the geoscience object.

The name of the output attribute.

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attribute": {
"reference": "string",
"name": "string"
}
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?